Module | Erubis::PreprocessingHelper
In: | erubis/preprocessing.rb

helper methods for preprocessing

### Methods

_? _P _decode _p

### Public Instance methods

_?(arg)

Alias for _p

_P(arg)

[Source]

    # File erubis/preprocessing.rb, line 42
        def _P(arg)
          return "<%=h(#{arg})%>"
        end

_decode(arg)

[Source]

    # File erubis/preprocessing.rb, line 48
        def _decode(arg)
          arg = arg.to_s
          arg.gsub!(/%3C%25(?:=|%3D)(.*?)%25%3E/) { "<%=#{CGI.unescape($1)}%>" }
          arg.gsub!(/&lt;%=(.*?)%&gt;/) { "<%=#{CGI.unescapeHTML($1)}%>" }
          return arg
        end

_p(arg)

[Source]

    # File erubis/preprocessing.rb, line 38
        def _p(arg)
          return "<%=#{arg}%>"
        end

[Validate]